using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioBobinaCorrente
    {

        public void Insert(entidadeBobinaCorrente objBobinaCorrente)
        {
            dalBobinaCorrente dalBobinaCorrente = null;

            try
            {
                dalBobinaCorrente = new dalBobinaCorrente();

                dalBobinaCorrente.Insert(objBobinaCorrente);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeBobinaCorrente objBobinaCorrente)
        {
            dalBobinaCorrente dalBobinaCorrente = null;

            try
            {
                dalBobinaCorrente = new dalBobinaCorrente();

                dalBobinaCorrente.Update(objBobinaCorrente);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeBobinaCorrente objBobinaCorrente)
        {
            dalBobinaCorrente dalBobinaCorrente = null;

            try
            {
                dalBobinaCorrente = new dalBobinaCorrente();

                dalBobinaCorrente.Update_1(objBobinaCorrente);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeBobinaCorrente objBobinaCorrente)
        {
            dalBobinaCorrente dalBobinaCorrente = null;

            try
            {
                dalBobinaCorrente = new dalBobinaCorrente();

                dalBobinaCorrente.Delete(objBobinaCorrente);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeBobinaCorrente> Select(entidadeBobinaCorrente objBobinaCorrente)
        {
            dalBobinaCorrente dalBobinaCorrente = null;

            var lstBobinaCorrente = new List<entidadeBobinaCorrente>();
            DataTable dt = null;

            try
            {
                dalBobinaCorrente = new dalBobinaCorrente();
                dt = dalBobinaCorrente.Select(objBobinaCorrente);

                foreach (DataRow dr in dt.Rows)
                {
                    objBobinaCorrente = new entidadeBobinaCorrente();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objBobinaCorrente.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objBobinaCorrente.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objBobinaCorrente.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objBobinaCorrente.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstBobinaCorrente.Add(objBobinaCorrente);
                }
                return lstBobinaCorrente;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeBobinaCorrente> SelectMax(entidadeBobinaCorrente objBobinaCorrente)
        {
            dalBobinaCorrente dalBobinaCorrente = null;

            var lstBobinaCorrente = new List<entidadeBobinaCorrente>();
            DataTable dt = null;

            try
            {
                dalBobinaCorrente = new dalBobinaCorrente();
                dt = dalBobinaCorrente.SelectMax(objBobinaCorrente);

                foreach (DataRow dr in dt.Rows)
                {
                    objBobinaCorrente = new entidadeBobinaCorrente();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objBobinaCorrente.ID = Convert.ToInt32(dr["ID"]);


                    lstBobinaCorrente.Add(objBobinaCorrente);
                }
                return lstBobinaCorrente;
            }
            catch (Exception)
            {
                throw;
            }
        }



    }
}
